Skip to main content
GET
/
surveys
/
{id}
/
responses
Get survey responses
curl --request GET \
  --url https://api.pickfu.com/v1/surveys/{id}/responses \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "pinned": true,
      "explanation": "<string>",
      "translation": "<string>",
      "chosenOption": "<string>",
      "selectedOptions": [
        "<string>"
      ],
      "score": 123,
      "clicks": [
        {
          "number": 123,
          "xCoord": 123,
          "yCoord": 123
        }
      ],
      "ranking": [
        {
          "rank": 123,
          "option": "<string>"
        }
      ],
      "media": "<string>",
      "mediaTranscription": "<string>",
      "matchup": {
        "option1": "<string>",
        "option2": "<string>"
      },
      "respondent": [
        {
          "trait": "<string>",
          "value": "<string>"
        }
      ],
      "question_id": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://www.pickfu.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth2 access token obtained via the authorization flow. Include in the Authorization header as: Bearer {access_token}

Path Parameters

id
string
required

Survey GUID

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
limit
integer
default:25

Results per page (1-100)

Required range: 1 <= x <= 100
question_id
string

Filter responses to a specific question by its GUID

language
string

Language code for response translations (e.g. ES, FR, DE)

text
string

Keyword to filter responses by explanation text (case-insensitive)

Maximum string length: 255
traits
string

Comma-separated trait value permalinks to filter by respondent demographics (e.g. "male,age-25-34"). Values within the same trait use OR logic; across different traits use AND logic.

Response

200 - application/json

Default Response

data
object[]

List of individual responses

pagination
object

Pagination metadata